/*
 * file:        UI.h
 * purpose:     helpers for user interface
 * project:     c++ framework for avr controllers
 * author:      Reinhard Mantey
 * copyright:   2014-2016 (c) Creative commons - by-nc-sa - some rights reserved
 *              see http://creativecommons.org/licenses/by-nc-sa/3.0/ for details
 */
#ifndef UI_H
#define UI_H
#pragma once
#include "halConfig.h"
#include "LCD.h"

namespace srd {

enum class WorkMode {
     MD_Config,
     MD_CountDown,
     MD_Light,
     MD_Done
     };


struct Work {
  int32_t       counter;
  int32_t       countDown;
  int8_t        mode;
  char          buf[12];
  };

EXTERN struct Work work;

};
#endif
